package visitors;

/**
 * Interface that represents the abstract host type
 * @author swong
 *
 */
public interface IHost {

	/**
	 * Execute the given visitor, passing the given parameters and returning the result
	 * @param algo A visitor to execute
	 * @param params A vararg of objects, used as parameters passed to the visitor
	 * @return  The result of running the appropriate case on the visitor.
	 */
	public Object execute(IVisitor algo, Object...params);
}
